# List webhooks

List webhooks

Endpoint: GET /v2/webhooks
Version: 2.0
Security: TokenAuth

## Query parameters:

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 100)

  - `pageToken` (string)
    The token to retrieve the next page of results

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `webhooks` (array)

  - `webhooks.id` (string, required)
    The webhook ID.
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `webhooks.createdBy` (string, required)
    The ID of the user who created this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `webhooks.createdAt` (string, required)
    The date and time the webhook was created
    Example: "2022-03-29T10:22:22.420Z"

  - `webhooks.updatedBy` (string, required)
    The ID of the user who updated this webhook
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `webhooks.updatedAt` (string, required)
    The date and time the webhook was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `webhooks.name` (string, required)
    The webhook name
    Example: "Palisade Transactions"

  - `webhooks.description` (string)
    The webhook description
    Example: "A webhook used to monitor transactions"

  - `webhooks.endpoint` (string, required)
    The webhook endpoint to send data to
    Example: "https://palisade.co/webhook"

  - `webhooks.subscriptionCount` (integer, required)
    The number of subscriptions associated with the webhook
    Example: 5

  - `webhooks.publicKey` (string, required)
    The public key used to verify the webhook signature
    Example: "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEpHiEkdd/ba5dU4sNCgsWrMOE6fLakHywl0OgF5aVfxkiqNh22oybRAREev7jvnwH4jqitHx79KGi6CMwiJjmaw=="

  - `webhooks.lastSuccess` (string)
    The timestamp of the last successful webhook delivery
    Example: "2022-03-29T10:22:22.420Z"

  - `webhooks.lastFailure` (string)
    The timestamp of the last failed webhook delivery
    Example: "2022-03-29T10:22:22.420Z"

  - `webhooks.successCount` (integer, required)
    The number of successful webhook deliveries in the last hour
    Example: 42

  - `webhooks.failureCount` (integer, required)
    The number of failed webhook deliveries in the last hour
    Example: 3

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


